%global upstream_name sphinxcontrib-napoleon

Name:           python-%{upstream_name}
Version:        0.2.9
Release:        2%{?dist}
Summary:        Sphinx napoleon extension

License:        BSD
URL:            http://sphinxcontrib-napoleon.readthedocs.org/en/latest/
Source0:        https://pypi.python.org/packages/source/s/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx >= 0.6, python-sphinx < 1.3

Requires:       python-sphinx >= 0.6, python-sphinx < 1.3

%description
Napoleon is a Sphinx extension that parses NumPy and Google style docstrings
and converts them to reStructuredText before Sphinx attempts to parse them.
This happens in an intermediate step while Sphinx is processing the
documentation, so it doesn't modify any of the docstrings in your actual source
code files.


%prep
%setup -q -n %{upstream_name}-%{version}

rm -r *.egg-info
# do not install tests - they have other dependencies
rm -r tests/

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Wed Oct 30 2019 Paul Howarth <paul@city-fan.org> - 0.2.9-2
- Tweak for EPEL-6 build (#1761876)

* Wed Jan 14 2015 Michal Minar <miminar@redhat.com> 0.2.9-1
- New upstream version.

* Wed Nov 26 2014 Michal Minar <miminar@redhat.com> 0.2.8-2
- Fixed requires.

* Wed Sep 10 2014 Michal Minar <miminar@redhat.com> 0.2.8-1
- Initial rpm.

